Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class SetAllBendpointRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.SetAllBendpointRequest

public class SetAllBendpointRequest
extends Request

Constructor Summary
`SetAllBendpointRequest(java.lang.String sz, PointList points)` Method SetAllBendPointsRequest.
`SetAllBendpointRequest(java.lang.String sz, PointList points, Point ptSourceRef, Point ptTargetRef)` Method SetAllBendPointsRequest.

Method Summary
`PointList` `getPoints()` Method getPoints.
`Point` `getSourceReference()`
`Point` `getTargetReference()`
`void` `setPoints(PointList points)` Method setPoints.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetAllBendpointRequest

    public SetAllBendpointRequest(java.lang.String sz,
                                  PointList points)

  Method SetAllBendPointsRequest.

Parameters:
  `sz` -
  `points` -

### SetAllBendpointRequest

    public SetAllBendpointRequest(java.lang.String sz,
                                  PointList points,
                                  Point ptSourceRef,
                                  Point ptTargetRef)

  Method SetAllBendPointsRequest.

Parameters:
  `sz` -
  `points` -
  `ptSourceRef` -
  `ptTargetRef` -

Method Detail

### setPoints

    public void setPoints(PointList points)

  Method setPoints.

  Parameters:
    `points` -

### getPoints

    public PointList getPoints()

  Method getPoints.

  Returns:
    PointList

### getSourceReference

    public Point getSourceReference()

  Returns:
    Returns the ptRef1.

### getTargetReference

    public Point getTargetReference()

  Returns:
    Returns the ptRef2.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.